Page MenuHome

Volumetric Clouds in Eevee not working | MacOs
Closed, DuplicatePublicBUG

Description

System Information
2018 MacBook Pro 32 GB 2400 MHz DDR4
2.6 GHz Intel Core i7
Operating system: Darwin-18.6.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro Vega 20 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.9.26

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-04 22:24, hash: rBfdcfc263e973

Short description of error
Volumetric Clouds in Eevee not working | MacOs

Exact steps for others to reproduce the error
Works in earlier versions of blender 2.8 Beta

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to 30.Jul 8 2019, 3:23 PM

Works for me with Intel Iris 6100.

What does not working mean exactly? It shows no volumes at all? Is there an error message in the terminal? Can you check if it's still an issue in the very latest build?

Tried the latest build. Still nothing. When I connect the Noise Texture node to the ColorRamp node everything stops working and I get no volumes at all. When I disconnect them I get the basic volumes back. No errors in the terminal.

Brecht Van Lommel (brecht) raised the priority of this task from 30 to 90.Jul 22 2019, 5:51 PM

I'm also having this issue with Smoke and Volumetric. They show up faint, if at all, and if I add anything to them in the node editor they simply disappear all together. I know back around the end of 2018 a lot of other blender users on Mac's were having this issue and supposedly a build came out that had fixed it. But I'm using the official release and the issue is still there.

My Computer Detials:
2017 iMac Pro 64GB 2666 MHz DDR4
3 GHz Intel Xeon W
Graphics Card: Radeon Pro Vega 64 16 GB
OS:Mojave 10.14.5

UPDATE
After extensive research, I've found that this is an issue with MACs that no one has a fix to and Blender is not attempting to fix or pay attention to. So if you want to use volumetric in Blender use cycles only or dont buy a mac apparently.

I would like confirmation that blender does not intend to fix this from the update from Will Crespo. So blender only partly works with Mac?

I cannot reproduce it on OSX 10.12.6

System Information
Operating system: Darwin-16.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon R9 M370X OpenGL Engine ATI Technologies Inc. 4.1 ATI-1.51.8

Blender Version
version: 2.81 (sub 8), branch: master, commit date: 2019-09-07 16:22, hash: rBabeab4fcad66

this is how it looks:

Thats because you are not using a Mac with a Vega video card. Its been confirmed on another thread that its a Vega specific issue.

Nils Sundstrom (c60) added a comment.EditedOct 26 2019, 8:41 PM

I can reproduce this on OSX 10.14.6

System Information
Operating system: Darwin-18.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro Vega 20 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.20

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e

I also tried it on new autobuilds for 2.81 and compiled from current blender git. They all don't render any volumetrics in eevee only the starfield. Works in cycles but really sloow. Eevee is just so speedy :)

Here's what I get

Any update on this or how I could help add more info.

If this is only happening on OSX with a Vega card, that suggests a driver issue.

I disagree. It still works with an older beta 2.8 version. The newer releases just don’t work.

This still doesn't work on 2.81 Macbook Pro radeon vega 20. Any updates on this and if it's going to be fixed. It's sad not to be able to use volumetric's in eevee.

Still not working with blender 2.81a.

System Information
Operating system: Darwin-18.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro Vega 20 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.21

Blender Version
Broken: version: 2.81 (sub 16), branch: master, commit date: 2019-12-04 11:32, hash: rBf1aa4d18d49d

Short description of error
Eevee volumetrics not working

Exact steps for others to reproduce the error
Load NebulaVolume.blend, Change to render viewport mode, no volumetric displayed

Let me know if there's anything else I can contribute. Here's the logs and system.info

 /Applications/Blender.app/Contents/MacOS/Blender -d --debug-gpu --debug-gpu-shaders --factory-startup > ~/Documents/Blender/2.8/bugs/T67831.log
OpenGL debug callback is not available on Apple.
GPUShaderInterface: Warning: Uniform 'attr' not found!
GPUShaderInterface: Warning: Uniform 'colorBuffer' not found!
GPUShaderInterface: Warning: Uniform 'depthBuffer' not found!
GPUShaderInterface: Warning: Uniform 'maxzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'minzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'planarDepth' not found!
GPUShaderInterface: Warning: Uniform 'texHammersley' not found!
GPUShaderInterface: Warning: Uniform 'texJitter' not found!
GPUShaderInterface: Warning: Uniform 'utilTex' not found!
GPUShaderInterface: Warning: Uniform 'horizonBuffer' not found!
GPUShaderInterface: Warning: Uniform 'irradianceGrid' not found!
GPUShaderInterface: Warning: Uniform 'probePlanars' not found!
GPUShaderInterface: Warning: Uniform 'probeCubes' not found!
GPUShaderInterface: Warning: Uniform 'shadowCubeTexture' not found!
GPUShaderInterface: Warning: Uniform 'shadowCascadeTexture' not found!
GPUShaderInterface: Warning: Uniform 'inScattering' not found!
GPUShaderInterface: Warning: Uniform 'inTransmittance' not found!
GPUShaderInterface: Warning: Uniform 'attr' not found!
GPUShaderInterface: Warning: Uniform 'colorBuffer' not found!
GPUShaderInterface: Warning: Uniform 'depthBuffer' not found!
GPUShaderInterface: Warning: Uniform 'maxzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'minzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'planarDepth' not found!
GPUShaderInterface: Warning: Uniform 'utilTex' not found!
GPUShaderInterface: Warning: Uniform 'horizonBuffer' not found!
GPUShaderInterface: Warning: Uniform 'irradianceGrid' not found!
GPUShaderInterface: Warning: Uniform 'probePlanars' not found!
GPUShaderInterface: Warning: Uniform 'probeCubes' not found!
GPUShaderInterface: Warning: Uniform 'shadowCubeTexture' not found!
GPUShaderInterface: Warning: Uniform 'shadowCascadeTexture' not found!
GPUShaderInterface: Warning: Uniform 'inScattering' not found!
GPUShaderInterface: Warning: Uniform 'inTransmittance' not found!
GPUShaderInterface: Warning: Uniform 'attr' not found!
GPUShaderInterface: Warning: Uniform 'hairPointBuffer' not found!
GPUShaderInterface: Warning: Uniform 'hairUVBuffer' not found!
GPUShaderInterface: Warning: Uniform 'hairColBuffer' not found!
GPUShaderInterface: Warning: Uniform 'colorBuffer' not found!
GPUShaderInterface: Warning: Uniform 'depthBuffer' not found!
GPUShaderInterface: Warning: Uniform 'maxzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'minzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'planarDepth' not found!
GPUShaderInterface: Warning: Uniform 'texHammersley' not found!
GPUShaderInterface: Warning: Uniform 'texJitter' not found!
GPUShaderInterface: Warning: Uniform 'utilTex' not found!
GPUShaderInterface: Warning: Uniform 'horizonBuffer' not found!
GPUShaderInterface: Warning: Uniform 'irradianceGrid' not found!
GPUShaderInterface: Warning: Uniform 'probePlanars' not found!
GPUShaderInterface: Warning: Uniform 'probeCubes' not found!
GPUShaderInterface: Warning: Uniform 'shadowCubeTexture' not found!
GPUShaderInterface: Warning: Uniform 'shadowCascadeTexture' not found!
GPUShaderInterface: Warning: Uniform 'inScattering' not found!
GPUShaderInterface: Warning: Uniform 'inTransmittance' not found!
GPUShaderInterface: Warning: Uniform 'attr' not found!
GPUShaderInterface: Warning: Uniform 'colorBuffer' not found!
GPUShaderInterface: Warning: Uniform 'depthBuffer' not found!
GPUShaderInterface: Warning: Uniform 'maxzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'minzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'planarDepth' not found!
GPUShaderInterface: Warning: Uniform 'utilTex' not found!
GPUShaderInterface: Warning: Uniform 'horizonBuffer' not found!
GPUShaderInterface: Warning: Uniform 'irradianceGrid' not found!
GPUShaderInterface: Warning: Uniform 'probePlanars' not found!
GPUShaderInterface: Warning: Uniform 'probeCubes' not found!
GPUShaderInterface: Warning: Uniform 'shadowCubeTexture' not found!
GPUShaderInterface: Warning: Uniform 'shadowCascadeTexture' not found!
GPUShaderInterface: Warning: Uniform 'inScattering' not found!
GPUShaderInterface: Warning: Uniform 'inTransmittance' not found!
GPUShaderInterface: Warning: Uniform 'attr' not found!
GPUShaderInterface: Warning: Uniform 'colorBuffer' not found!
GPUShaderInterface: Warning: Uniform 'depthBuffer' not found!
GPUShaderInterface: Warning: Uniform 'maxzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'minzBuffer' not found!
GPUShaderInterface: Warning: Uniform 'planarDepth' not found!
GPUShaderInterface: Warning: Uniform 'texHammersley' not found!
GPUShaderInterface: Warning: Uniform 'texJitter' not found!
GPUShaderInterface: Warning: Uniform 'utilTex' not found!
GPUShaderInterface: Warning: Uniform 'horizonBuffer' not found!
GPUShaderInterface: Warning: Uniform 'irradianceGrid' not found!
GPUShaderInterface: Warning: Uniform 'probePlanars' not found!
GPUShaderInterface: Warning: Uniform 'probeCubes' not found!
GPUShaderInterface: Warning: Uniform 'shadowCubeTexture' not found!
GPUShaderInterface: Warning: Uniform 'shadowCascadeTexture' not found!
GPUShaderInterface: Warning: Uniform 'inScattering' not found!
GPUShaderInterface: Warning: Uniform 'inTransmittance' not found!
GPUShaderInterface: Warning: Uniform 'sampflame' not found!
GPUShaderInterface: Warning: Uniform 'unftemperature' not found!

Any updates on this? Still no eevee volumetrics for me. It only works when there are no other nodes going into the volume node (so no textural volumetrics allowed.) (I seem to be getting the exact same results as everyone else)
imac pro
mac os 10.14.5
radeon pro vega 64x

thanks!

Still not working for me too, even with 2.82alpha. Has anyone tried with 10.15? Since that's the only way to get updated drivers for the Macs' perhaps it was a problem there?

Cheers

Clément Foucault (fclem) changed the subtype of this task from "Report" to "Bug".Jan 22 2020, 1:33 AM

I don't have the hardware to reproduce so I can't really fix it without. The debug logs does not present anything abnormal. It must really be a driver issue.

But still, this should be considered as a bug.

Can I buy you a mac with a vega card? What are the next steps to be taken on this issue and how can I help? Can I provide any testing info from my system?

Thanks

Bill

I FOUND A FIX!

put a geometry node at the beginning, connect from the "position" socket!
that makes the whole thing work!

i don't know if anyone cares, i'm probably the only person in the world using blender on a mac. But if anyone is wondering how to get textured volumetrics to work in eevee, on mac os with pro vega card, this seems to work. put the geometry node at the beginning of the chain, and connect from "position"

I FOUND A FIX!

put a geometry node at the beginning, connect from the "position" socket!
that makes the whole thing work!

Connect the postion to what?

for example:
going from left to right,
geometry node (position --> vector) noise texture (factor ---> density) principled volume (volume ---> volume) material output.

Generally, the problem was, if you use a volume node, plugged into the volume of the material output, that would work fine, but as soon as you plugged any texture (such as noise) with factor going into the density of the volume shader, the whole thing disappears. That was what the problem always was for me, and it seemed all other mac users with vega graphics cards. I thought textured volumetrics on the mac was a lost cause. But after playing around with nodes completely randomly, i discovered that if you put a geometry node to the left of the entire chain and basically plug the position into the vector of the texture, mostly everything will work.
I first discovered it by avoiding the volume shaders altogether, and just using geometry position into plain color node, into volume of the output. Which does work, i was pleased to find out. But that way will appear emissive only. Then i was able to swap in the actual volume shaders, and as long as i have the geometry node feeding from 'position' into the vector of any textures, then i'm all set. You can put a mapping node in between the geometry and te texture also, which will resemble the standard node wrangler setup, except instead of starting with 'texture coordinate' node, it's geometry node.
This setup might produce slightly different results from what it would be otherwise, but the good news is at least we can get access to all the textured volumetrics on eevee on the mac, which I had thought was a lost cause. so I am personally thrilled about this ..... hopefully it works for others too. I can provide more specifics if you still can't get it to work. i have imac pro, mac os 10.14.5, radeon pro vega 64x.

also i should mention, if the viewport or camera clip_start value (the near clipping distance) is .001, it won't work, but .01 does work.

for example:
going from left to right,
geometry node (position --> vector) noise texture (factor ---> density) principled volume (volume ---> volume) material output.

I got it to work too! Good job man!!!

@Will Crespo (The_Real_Will_Crespo) I am not @Bill Wurtz (billwurtz), nor do I have this hardware (and therefor issue), but the only place that is logical to me would be the Position to the Vector input. Hope that helps.

Nevermind, I spent too much time playing with the file, I see you got it working. =)

Yeah Bill!!

I can confirm it works for me too on a macbook pro with the vega 20. I just added a geometry input node for all the vector inputs in the texures for the nebula_ObjectVolume.blend sample file and renders in eevee. Although the render seems much brighter and not the same as the cycles render but I'm guessing their not identical (yet).

Hopefully this helps the developer's understand where the problem could be. They seem to be killing it with squashing the bugs these days.

Kudos to all the hard work they've been doing.

Cheers

Nils

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Feb 6 2020, 3:07 PM

@Clément Foucault (fclem), does this information help to identify any problems in blender side?

I FOUND A FIX!

put a geometry node at the beginning, connect from the "position" socket!
that makes the whole thing work!

(...) put the geometry node at the beginning of the chain, and connect from "position"

for example:
going from left to right,
geometry node (position --> vector) noise texture (factor ---> density) principled volume (volume ---> volume) material output.

Generally, the problem was, if you use a volume node, plugged into the volume of the material output, that would work fine, but as soon as you plugged any texture (such as noise) with factor going into the density of the volume shader, the whole thing disappears. That was what the problem always was for me, and it seemed all other mac users with vega graphics cards. I thought textured volumetrics on the mac was a lost cause. But after playing around with nodes completely randomly, i discovered that if you put a geometry node to the left of the entire chain and basically plug the position into the vector of the texture, mostly everything will work.
I first discovered it by avoiding the volume shaders altogether, and just using geometry position into plain color node, into volume of the output. Which does work, i was pleased to find out. But that way will appear emissive only. Then i was able to swap in the actual volume shaders, and as long as i have the geometry node feeding from 'position' into the vector of any textures, then i'm all set. You can put a mapping node in between the geometry and te texture also, which will resemble the standard node wrangler setup, except instead of starting with 'texture coordinate' node, it's geometry node.
This setup might produce slightly different results from what it would be otherwise, but the good news is at least we can get access to all the textured volumetrics on eevee on the mac, which I had thought was a lost cause. so I am personally thrilled about this ..... hopefully it works for others too. I can provide more specifics if you still can't get it to work. i have imac pro, mac os 10.14.5, radeon pro vega 64x.

also i should mention, if the viewport or camera clip_start value (the near clipping distance) is .001, it won't work, but .01 does work.

I will mark it as confirmed, but since no developer is able to reproduce the problem, I find it difficult to fix it soon.
Perhaps it is better that this is marked as a Known Issue.

I have sumbled across the same issue on MacOS with Vega external eGPU in EEVEE. No volumetrics is rendered when plugging in a procedual Texture Node into the density of the volumetric principled shader. Using the :

geometry node (position --> vector) noise texture (factor ---> density) principled volume (volume ---> volume) material output.

also worked out for me in this situation. But unfortunately i cant get it to work the same way when using a "Gradient Texture" Node instead of the "Noise Texture" Node. Any Ideas how to solve this, or will this be fixed with a newer version soon?

I’d like to report this issue also occurring for me. Exactly as described by mvipe, even with the Geometry node workaround, if I’m using something other than Noise Texture it does not update the volumetric as expected. Mine is on MacOS with the latest 2.83 and a Radeon Pro 5600m (new gpu option) in a MacBook Pro 16”
Any info?

Any updates on this issue? It's happening on MacBook Pro 16" with Radeon 5500m. I'm using Blender 2.91.0 Alpha, confirming that this issue wasn't fixed yet and isn't limited to Vega cards but 5000 series as well.

The geometry node workaround does not work properly for me as has been suggested. Are there any other workarounds?

Maybe there is a way to force Eevee volumetrics to render using the iGPU? thanks!!

I think this one got merged into https://developer.blender.org/T65873 as it's the same issue. I too would also like to know if there's been any progress on it as it's been over a year with no volumetric rendering in eevee. Perhaps AMD could throw a developer on it :)

@Mark Reategui (pentagramwookie) I have the same system: MBP 16" with Radeon pro 5500m, and using Bill's (@Bill Wurtz (billwurtz)) solution above worked from me.
If you use Node Wrangler, then just replace the Texture Coordinate node with a Geometry node. I have:
Geometry (position → vector) Mapping (Vector → vector) Gradient texture (color → fat) Color Ramp (color → density) Principled Volume (volume → volume) Material Output

Finally I can get volumes in Eevee. /cheer

I'm new to blender and just got stuck for many hours with this problem. I tried the geometry work-around, but it doesn't seem to work in v2.92.0.
I have exactly the same problem as in the video above. Rendering in Cycles works, in Eevee the object just renders for 0.1 sec, and disappears (or not at all)

Running
MacBook 16' 2.3 GHz 8-code Intel Core i9
AMD Radeon PRO 5500M 8GB
64GB 2667 MHz-DDR4

on Bigs Sur 11.2.2.